Loading...
Searching...
No Matches
ocsd_lib_dcd_register.h File Reference
`#include <map>`
`#include "opencsd/ocsd_if_types.h"`
`#include "common/ocsd_dcd_mngr_i.h"`
Include dependency graph for ocsd_lib_dcd_register.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OcsdLibDcdRegister
struct | built_in_decoder_info

## Macros

#define | CREATE_BUILTIN_ENTRY(C, N)
| Define to use to fill in an array of built_in_decoder_info_t structures.

## Typedefs

typedef IDecoderMngr *(* | CreateMngr) (const std::string &name)
typedef struct built_in_decoder_info | built_in_decoder_info_t

## Functions

template<typename T>
IDecoderMngr * | createManagerInst (const std::string &name)

## Macro Definition Documentation

## CREATE_BUILTIN_ENTRY

#define CREATE_BUILTIN_ENTRY | ( |  | C,
|  |  | N )

Value:
{ 0, createManagerInst<C>, N }
createManagerInst
IDecoderMngr * createManagerInst(const std::string &name)
Definition ocsd_lib_dcd_register.h:112

Define to use to fill in an array of built_in_decoder_info_t structures.

Definition at line 127 of file ocsd_lib_dcd_register.h.

## Typedef Documentation

## built_in_decoder_info_t

typedef struct built_in_decoder_info built_in_decoder_info_t

Structure to contain the information needed to create and register a builtin decoder manager with the library

## CreateMngr

typedef IDecoderMngr *(* CreateMngr) (const std::string &name)

Typedef of function signature to create a decoder manager.

Parameters

  *name | : Registered name of the decoder.

Definition at line 103 of file ocsd_lib_dcd_register.h.

## Function Documentation

## createManagerInst()

template<typename T>

IDecoderMngr * createManagerInst | ( | const std::string & | name | ) |

Template function to create a specific decoder manager class object.

Parameters

  &name | : Registered name of the decoder.

Returns
  IDecoderMngr * : pointer to the decoder manager base class interface.

Definition at line 112 of file ocsd_lib_dcd_register.h.